Bug 42798 - Nullpointer exception executing web service (SOAP) request
Summary: Nullpointer exception executing web service (SOAP) request
Status: RESOLVED WONTFIX
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 2.2
Hardware: PC Windows XP
: P2 major (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: ErrorMessage
Depends on:
Blocks:
 
Reported: 2007-07-02 23:57 UTC by David Schulberg
Modified: 2008-10-02 08:32 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Schulberg 2007-07-02 23:57:03 UTC
I run a web service (SOAP) request with JMeter 2.2 and it is failing. have 
also found it fails with latest nightly build (1st July). All I see in the 
Jmeter log is 
 
12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Running the test! 
2007/06/28 12:38:55 INFO  - jmeter.gui.util.JMeterMenuBar1: setRunning
(true,local) 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Starting 1 
threads for group Thread Group. Ramp up = 0. 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Continue on 
error 
2007/06/28 12:38:55 INFO  - jmeter.threads.JMeterThread: Thread Thread Group 1-
1 started 
2007/06/28 12:38:55 ERROR - jmeter.threads.JMeterThread:  
java.lang.NullPointerException
 at org.apache.soap.transport.TransportMessage.read(TransportMessage.java:206)
 at org.apache.soap.util.net.HTTPUtils.post(HTTPUtils.java:382)
 at org.apache.soap.transport.http.SOAPHTTPConnection.send
(SOAPHTTPConnection.java:309)
 at org.apache.soap.messaging.Message.send(Message.java:123)
 at org.apache.jmeter.protocol.http.sampler.WebServiceSampler.sample
(WebServiceSampler.java:486)
 at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample
(HTTPSamplerBase.java:647)
 at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:247)
 at java.lang.Thread.run(Unknown Source)
2007/06/28 12:38:55 INFO  - jmeter.threads.JMeterThread: Thread Thread Group 1-
1 is done 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Ending thread 
0 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Stopping test 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Notifying test 
listeners of end of test 
2007/06/28 12:38:55 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning
(false,local) 
2007/06/28 12:38:55 INFO  - jmeter.engine.StandardJMeterEngine: Test has ended 

The SOAP request I am using has been verified using .NET WebService Studio. 

All method requests associated with two different WSDL URLs are failing. More 
complex requests associated with another WSDL are OK.
Comment 1 Sebb 2007-07-03 13:24:16 UTC
This appears to be a fault in the SOAP code - there's not a lot we can do 
about this.

We are intending to move to Axis 2 in due course.